Reverse a fee that was charged via the API using InsertTransactionFee
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | The profile to which the card belongs |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, tracking number or sequence number of the card to charge the fee |
| referenceID | String | 1-255 characters | ✓ | The Transaction ID of the original transaction to be reversed |
| referenceDate | Date | ✓ | The Transaction Date of the original transaction to be reversed | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>ReverseTransactionFee</methodName>
<params>
<param>
<value>
<string>ABC1234567</string>
</value>
</param>
<param>
<value>
<string>P12345</string>
</value>
</param>
<param>
<value>
<string>987654321</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-11-08T12:34:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>T987654321</string>
</value>
</param>
<param>
<value>
<string>3b7c4444e1c4444d8e444a4c0c2c2d444e3d4444</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value |
| profileNumber | String | Echo of incoming value |
| cardNumber | String | Number of the card found using the cardIdentifier |
| clientTransactionID | String | Echo of incoming value |
| serverTransactionID | String | Transaction ID generated by Paymentology |
| authNumber | String | Authorisation number for transaction |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>ABC1234567</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>P12345</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>987654321</string>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>123456</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>ST123456789</string>
</value>
</member>
<member>
<name>authNumber</name>
<value>
<string>789012</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>200</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Transaction fee reversed successfully</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>